Bug 1084632 - GCC 8: grub2 build fails
GCC 8: grub2 build fails
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: Basesystem
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Michael Chang
E-mail List
:
Depends on:
Blocks: 1084649
  Show dependency treegraph
 
Reported: 2018-03-09 10:02 UTC by Martin Liška
Modified: 2021-09-23 18:40 UTC (History)
1 user (show)

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments
proposed patch (1.21 KB, patch)
2018-03-15 08:57 UTC, Michael Chang
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Martin Liška 2018-03-09 10:02:10 UTC
Build the package with GCC 8, there's error:

[  129s] ../include/grub/gpt_partition.h:79:1: error: alignment 1 of 'struct grub_gpt_partentry' is less than 8 [-Werror=packed-not-aligned]

Please build the project as follows to reproduce the issue:
osc build --alternative-project=openSUSE:Factory:Staging:Gcc7
Comment 1 Michael Chang 2018-03-15 08:57:05 UTC
Created attachment 763762 [details]
proposed patch

The cleanup patch, will upsteam it.
Comment 2 Michael Chang 2018-04-03 07:46:48 UTC
Fix patch submitted. Close.
Comment 5 Swamp Workflow Management 2018-12-10 10:40:13 UTC
This is an autogenerated message for OBS integration:
This bug (1084632) was mentioned in
https://build.opensuse.org/request/show/656775 15.0 / trustedgrub2
Comment 7 Swamp Workflow Management 2018-12-19 17:12:58 UTC
openSUSE-RU-2018:4192-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1052420,1084632,1100984
CVE References: 
Sources used:
openSUSE Leap 15.0 (src):    trustedgrub2-1.4.0-lp150.2.3.1
openSUSE Backports SLE-15 (src):    trustedgrub2-1.4.0-bp150.3.3.1
Comment 8 Swamp Workflow Management 2019-02-06 14:11:51 UTC
SUSE-RU-2019:0260-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1052420,1084632,1100984
CVE References: 
Sources used:
SUSE Linux Enterprise Server 12-SP4 (src):    trustedgrub2-1.4.0-3.3.1
SUSE Linux Enterprise Server 12-SP3 (src):    trustedgrub2-1.4.0-3.3.1
SUSE Linux Enterprise Desktop 12-SP4 (src):    trustedgrub2-1.4.0-3.3.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    trustedgrub2-1.4.0-3.3.1
Comment 9 Swamp Workflow Management 2019-02-14 14:12:34 UTC
openSUSE-RU-2019:0177-1: An update that has three recommended fixes can now be installed.

Category: recommended (moderate)
Bug References: 1052420,1084632,1100984
CVE References: 
Sources used:
openSUSE Leap 42.3 (src):    trustedgrub2-1.4.0-4.3.1
Comment 14 Swamp Workflow Management 2020-07-29 22:14:32 UTC
SUSE-SU-2020:2076-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1084632,1168994,1173812,1174463,1174570
CVE References: CVE-2020-10713,CVE-2020-14308,CVE-2020-14309,CVE-2020-14310,CVE-2020-14311,CVE-2020-15706,CVE-2020-15707
JIRA References: 
Sources used:
SUSE OpenStack Cloud 7 (src):    grub2-2.02~beta2-115.49.1
SUSE Linux Enterprise Server for SAP 12-SP2 (src):    grub2-2.02~beta2-115.49.1
SUSE Linux Enterprise Server 12-SP2-LTSS (src):    grub2-2.02~beta2-115.49.1
SUSE Linux Enterprise Server 12-SP2-BCL (src):    grub2-2.02~beta2-115.49.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 15 Swamp Workflow Management 2020-07-29 22:15:52 UTC
SUSE-SU-2020:2079-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1084632,1168994,1173812,1174463,1174570
CVE References: CVE-2020-10713,CVE-2020-14308,CVE-2020-14309,CVE-2020-14310,CVE-2020-14311,CVE-2020-15706,CVE-2020-15707
JIRA References: 
Sources used:
SUSE OpenStack Cloud Crowbar 8 (src):    grub2-2.02-4.53.1
SUSE OpenStack Cloud 8 (src):    grub2-2.02-4.53.1
SUSE Linux Enterprise Server for SAP 12-SP3 (src):    grub2-2.02-4.53.1
SUSE Linux Enterprise Server 12-SP3-LTSS (src):    grub2-2.02-4.53.1
SUSE Linux Enterprise Server 12-SP3-BCL (src):    grub2-2.02-4.53.1
SUSE Enterprise Storage 5 (src):    grub2-2.02-4.53.1
HPE Helion Openstack 8 (src):    grub2-2.02-4.53.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 16 Swamp Workflow Management 2020-07-29 22:22:11 UTC
SUSE-SU-2020:14440-1: An update that fixes 7 vulnerabilities is now available.

Category: security (important)
Bug References: 1084632,1168994,1173812,1174463,1174570
CVE References: CVE-2020-10713,CVE-2020-14308,CVE-2020-14309,CVE-2020-14310,CVE-2020-14311,CVE-2020-15706,CVE-2020-15707
JIRA References: 
Sources used:
SUSE Linux Enterprise Server 11-SP4-LTSS (src):    grub2-2.00-0.66.15.1
SUSE Linux Enterprise Debuginfo 11-SP4 (src):    grub2-2.00-0.66.15.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.